create table wfp_global_todoremind
(
    id               bigint         not null comment 'id，主键' primary key,
    isopen           int default 0  null comment '开启待办定时提醒',
    frequency        varchar(1000) null comment '频率配置，存储json字符串。前端做解析',
    time_set         time     null comment '时间设置',
    begin_date       date     null comment '开始日期',
    weekday_only     int default 0  null comment '仅工作日提醒',
    sms_alerts       int default 0 null comment '短信提醒 0:关闭 1:开启',
    message_alerts   int default 0 null comment 'IM提醒  0:关闭 1:开启',
    email_alerts     int default 0 null comment '邮件提醒 0:关闭 1:开启',
    msg_content      text  null comment '短信内容',
    mail_content     text           null comment '邮件内容',
    flow_scope       int default 0 null comment '审批流范围 0:全部 1：选择 2：排除',
    foreign_key      bigint        null comment '审批流,外键id,生成后存储于wf_multi_data表foreign_key字段中',
    creator          bigint        null comment '创建人',
    create_time      datetime      null comment '创建时间',
    update_time      datetime      null comment '修改时间',
    delete_type      int default 0 null comment '删除类型',
    tenant_key       varchar(10)   not null comment '租户key'
)
    comment '应用设置-提醒设置-待办审批定时提醒';

create index idx_global_todoremind_tenant_key
    on wfp_global_todoremind (tenant_key);