create table wfp_node_robotset
(
  id bigint primary key  comment 'ID' ,
  create_time datetime comment '创建时间' ,
  update_time datetime comment '修改时间' ,
  creator bigint comment '创建人id' ,
  delete_type int comment '是否删除' ,
  tenant_key varchar(10) comment '租户KEY' ,
  nodeid bigint comment '节点id' ,
  workflowid bigint comment '路径id' ,
  wait_time_type int default 0 not null comment '等待类型 0:永久 1指定时间' ,
  wait_time_value int comment '等待时间' ,
  remark_type int comment '默认意见留痕设置 0：不留痕  1：留痕' ,
  operate_type int comment '操作类型  0：提交 1：批准 2：退回' ,
  remark text comment '机器人处理意见' ,
  exception_handle_type int comment '异常处理类型 0：退回上一节点 1：退回至指定节点 2：提交至指定节点 3：指定干预对象' ,
  assign_node bigint comment '退回/提交指定节点' ,
  intervene_type int comment '指定干预对象-干预类型 0：指定组织多选 1：指定表单字段 ' ,
  intervene_field bigint comment '指定干预对象-表单字段' ,
  intervene_multi_select bigint comment '指定干预对象-组织多选' 
)
;

create index tenant_key on wfp_node_robotset(tenant_key)
;

create index nodeid on wfp_node_robotset(nodeid)
;

create index id_workflowid on wfp_node_robotset(workflowid)
;