create table wfr_functionParam
(
  id                bigint                  not null primary key comment '主键id',
  dataId            bigint                  null comment '数据id',
  dataValue         varchar(1000)           null comment '映射值',
  dataValueText     varchar(1000)           null comment '映射值',
  mapBaseId         bigint          	      null comment '对应wfr_mapbase表的主键',
  mapId             bigint                  null comment '对应wfr_maplist表的主键',
  valueoption       int                     null comment '参数类型',
  orders            int                     null comment '顺序',

  create_time       datetime                null comment '创建时间',
  update_time       datetime                null comment '修改时间',
  creator           bigint                  null comment '创建人',
  delete_type       int   default 0         null comment '删除类型',
  tenant_key        varchar(10)             not null comment '租户key',
  datasrc           int   default 0         not null comment '数据来源 1：ET'
)
  comment '条件函数映射参数';

create table wfr_functionSet
(
  id                int                     not null primary key comment '主键id',
  name              varchar(100)            null comment '函数名',
  labelId           int                     null comment '函数标签id',
  labelName         varchar(100)          	null comment '函数标签名',
  clazz             varchar(100)            null comment '实现类',
  returnType        varchar(20)             null comment '返回参数类型',
  desId             int                     null comment '函数描述标签id',
  des               varchar(500)            null comment '函数描述标签内容',
  supportAddParams  int                     null comment '是否支持添加参数',
  returnTypeDetail  int                     null comment '返回参数类型明细',
  state             int                     null comment '状态',

  create_time       datetime                null comment '创建时间',
  update_time       datetime                null comment '修改时间',
  creator           bigint                  null comment '创建人',
  delete_type       int   default 0         null comment '删除类型',
  tenant_key        varchar(10)             null comment '租户key',
  datasrc           int   default 0         null comment '数据来源 1：ET'
)
  comment '条件函数配置表';


create table wfr_functionSetDetail
(
  id                int                     not null primary key comment '主键id',
  functionId        int                     null comment '函数id',
  valueType         int                     null comment '参数值类型',
  valueOption       varchar(20)          	  null comment '参数类型(输入值/变量)',
  browserType       int                     null comment '浏览按钮类型',
  orders            int                     null comment '参数顺序',
  labelId           int                     null comment '参数标签名id',
  labelName         varchar(500)            null comment '参数标签名',

  create_time       datetime                null comment '创建时间',
  update_time       datetime                null comment '修改时间',
  creator           bigint                  null comment '创建人',
  delete_type       int   default 0         null comment '删除类型',
  tenant_key        varchar(10)             null comment '租户key',
  datasrc           int   default 0         null comment '数据来源 1：ET'
)
  comment '条件函数明细配置表';